<?php
/**
 * @file
 * popsu_colloques.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_colloques_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "panels_mini" && $api == "panels_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function popsu_colloques_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function popsu_colloques_node_info() {
  $items = array(
    'popsu_colloque' => array(
      'name' => t('Colloque'),
      'base' => 'node_content',
      'description' => t('Ce type de contenu permet de créer la page de synthèse d\'un colloque.'),
      'has_title' => '1',
      'title_label' => t('Titre du colloque'),
      'help' => '',
    ),
  );
  return $items;
}
